Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class UserDefinedCompoundPattern

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.UserDefinedPattern
              de.grogra.xl.query.UserDefinedCompoundPattern

All Implemented Interfaces:
  XObject, BytecodeSerialization.Serializable

    public abstract class UserDefinedCompoundPattern

extends UserDefinedPattern

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.query.UserDefinedPattern
`UserDefinedPattern.In, UserDefinedPattern.Out`

Nested classes/interfaces inherited from class de.grogra.xl.query.Pattern
`Pattern.Matcher`

Field Summary

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`protected` | `UserDefinedCompoundPattern(CompoundPattern pattern)`

Method Summary
`Pattern.Matcher` | `createMatcher(Graph src, XBitSet providedConstants, IntList neededConstantsOut)`
`int` | `getParameterKind(int index)`
`CompoundPattern` | `getPattern()`
`boolean` | `isDeleting()`

Methods inherited from class de.grogra.xl.query.UserDefinedPattern
`findSignatureMethod, getSignature, getXClass, getXData, initXClass, write`

Methods inherited from class de.grogra.xl.query.Pattern
`getDeclaredParameterCount, getParameterCount, getParameterType, paramString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserDefinedCompoundPattern

    protected UserDefinedCompoundPattern(CompoundPattern pattern)

Method Detail

### createMatcher

    public final Pattern.Matcher createMatcher(Graph src,
                                               XBitSet providedConstants,
                                               IntList neededConstantsOut)

  Specified by:
    `createMatcher` in class `Pattern`

### getParameterKind

    public final int getParameterKind(int index)

  Specified by:
    `getParameterKind` in class `Pattern`

### getPattern

    public final CompoundPattern getPattern()

### isDeleting

    public boolean isDeleting()

  Overrides:
    `isDeleting` in class `Pattern`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD